/*
 * Copyright 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.navigation.dynamicfeatures;

import androidx.annotation.RestrictTo;

/**
 * Internal constants for dynamic feature navigator.
 *
 * @hide
 */
@RestrictTo(RestrictTo.Scope.LIBRARY_GROUP)
public interface Constants {

    String KEY_NAVIGATED = "dfn:navigated";
    String DESTINATION_ID = "dfn:destinationId";
    String DESTINATION_ARGS = "dfn:destinationArgs";
    String DESTINATION_NAVOPTS = "dfn:destinationNavOpts";
}
